-- Random materials

-- RMIS 1.0 par Alexandre Oliveira.

-- MAX 3/4/5/6/7


-- Versions Information --
--------------------------
--1.0 3/03/2005


-- Script --

-- Global Parameters --

		global mat1
		global mat2
		global mat3
		global mat4
		global mat5
		global mat6
		global mat7
		global mat8
		global mat9
		global mat10
		global chkedcount = 0

		
		
	rollout RndMat_RO1 "Random Textures" width:150 height:430
	(
		button rndmat_b "Apply materials to selection" pos:[6,288] width:140 height:21
		button btexit "Exit" pos:[6,415] width:140 height:18
		button breset "Reset Materials" pos:[6,390] width:140 height:18
		label lbl1 "Select materials :" pos:[37,5] width:89 height:16
		label lbl2 "" pos:[6,358] width:140 height:15
		label lbl3 "" pos:[6,372] width:140 height:15

		materialButton btn1 "MaterialButton" pos:[32,27] width:104 height:20
		checkbox chk1 "" pos:[11,30] width:15 height:14 enabled:false
		materialButton btn2 "MaterialButton" pos:[32,52] width:104 height:20
		checkbox chk2 "" pos:[11,55] width:15 height:14 enabled:false
		materialButton btn3 "MaterialButton" pos:[31,77] width:104 height:20
		checkbox chk3 "" pos:[11,80] width:15 height:14 enabled:false
		materialButton btn4 "MaterialButton" pos:[32,102] width:104 height:20
		checkbox chk4 "" pos:[11,105] width:15 height:14 enabled:false
		materialButton btn5 "MaterialButton" pos:[32,127] width:104 height:20
		checkbox chk5 "" pos:[11,130] width:15 height:14 enabled:false
		materialButton btn6 "MaterialButton" pos:[32,152] width:104 height:20
		checkbox chk6 "" pos:[11,155] width:15 height:14 enabled:false
		materialButton btn7 "MaterialButton" pos:[32,178] width:104 height:20
		checkbox chk7 "" pos:[11,181] width:15 height:14 enabled:false
		materialButton btn8 "MaterialButton" pos:[32,204] width:104 height:20
		checkbox chk8 "" pos:[11,207] width:15 height:14 enabled:false
		materialButton btn9 "MaterialButton" pos:[32,230] width:104 height:20
		checkbox chk9 "" pos:[11,233] width:15 height:14 enabled:false
		materialButton btn10 "MaterialButton" pos:[31,256] width:104 height:20
		checkbox chk10 "" pos:[10,260] width:15 height:14 enabled:false
		spinner spi "Seed" pos:[6,312] width:130 height:17 range:[0,999999999,1] type:#integer scale:1
		button btnNone "Apply None material" pos:[6,335] width:140 height:21
		

		on spi changed val do
		(
		seed val
		)
		
		on RndMat_RO1 open  do
		(
		
		spi.value = 1
		
		lbl3.caption = $selection.count as string + " Objects selected"
		)	
		
				on breset pressed do
(
chkedcount = 0
lbl2.caption = chkedcount as string + " Materials selected"
chk1.checked=false
chk2.checked=false
chk3.checked=false
chk4.checked=false
chk5.checked=false
chk6.checked=false
chk7.checked=false
chk8.checked=false
chk8.checked=false
chk10.checked=false
mat1=undefined
mat2=undefined
mat3=undefined
mat4=undefined
mat5=undefined
mat6=undefined
mat7=undefined
mat8=undefined
mat9=undefined
mat10=undefined

)

		on rndmat_b pressed do
		
				 
		if $selection.count > 0 then (
				setwaitcursor()
				progressStart
				
				For i = 1 to $selection.count do (
				if not (progressUpdate (i/($selection.count as float))) then exit
				try (
				x = 1
				y = chkedcount
				a = (random x y)
				case a of
				(
				1: $selection[i].material = mat1
				2: $selection[i].material = mat2
				3: $selection[i].material = mat3
				4: $selection[i].material = mat4
				5: $selection[i].material = mat5
				6: $selection[i].material = mat6
				7: $selection[i].material = mat7
				8: $selection[i].material = mat8
				9: $selection[i].material = mat9
				10: $selection[i].material = mat10
				default: $selection[i].material = standardMaterial diffuse 255 0 255 name:(uniqueName "x")
				)
				
		
				
				) catch (setArrowCursor() )
				)
				progressEnd()
				setArrowCursor()
			)
		on btn1 picked mtl do
	(
			chk1.checked = true
					print mtl
					mat1 = mtl
										chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
					
		)
		on btn2 picked mtl do
	(
			chk2.checked = true
					print mtl
					mat2 = mtl
										chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
		)
		on btn3 picked mtl do
	(
			chk3.checked = true
					print mtl
					mat3 = mtl
										chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
		)
		on btn4 picked mtl do
	(
			chk4.checked = true
					print mtl
					mat4 = mtl
										chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
		)
		on btn5 picked mtl do
	(
			chk5.checked = true
					print mtl
					mat5 = mtl
										chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
		)
		on btn6 picked mtl do
	(
			chk6.checked = true
					print mtl
					mat6 = mtl
										chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
		)
		on btn7 picked mtl do
	(
			chk7.checked = true
					print mtl
					mat7 = mtl
										chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
		)
		on btn8 picked mtl do
	(
			chk8.checked = true
					print mtl
					mat8 = mtl
										chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
		)
		on btn9 picked mtl do
	(
			chk9.checked = true
					print mtl
					mat9 = mtl
										chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
		)
		on btn10 picked mtl do
	(
			chk10.checked = true
					print mtl
					mat10 = mtl
					chkedcount += 1
					lbl2.caption = chkedcount as string + " Materials selected"
		)
		
		on btnNone pressed do
		if $selection.count > 0 then (
				setwaitcursor()
				progressStart
				
				For i = 1 to $selection.count do (
				if not (progressUpdate (i/($selection.count as float))) then exit
				try (
						$selection[i].material = none
					) catch (setArrowCursor() )
				)
				progressEnd()
				setArrowCursor()
			)
			
			)	
	
	
	
	
	
	
	
	
	
	
	
	
	rollout RndMat_RO2 "About" rolledUp:true
	(
		label l1 "(c) 2005 AlexProduct.net" offset:[0,-4]
		label l2 "Selectionn les objects" 
		label l3 "Application alatoire des" 
		label l4 "materiaux a la slection"
		label l5 "IMPORTANT" 
		label l6 "Selectionn"
		label l7 "les slots dans l'ordre"
		label l8 "Bonne chance !"
		label l9 "ALEX001"
		button link "Contacter moi..."
		on link pressed do
			(
			assetBrowser.open()
	assetBrowser.gotoURL "mailto:alex_foley_marssien@hotmail.com"

			)
	)
	
	if RndMat_float != undefined then (
		closeRolloutFloater RndMat_float
		RndMat_float = undefined
	)
	
	RndMat_float = newRolloutFloater "Create random materials" 160 500
	addRollout RndMat_RO1 RndMat_float
addRollout RndMat_RO2 RndMat_float